
From: Michael Krufky <mkrufky@m1k.net>

Add support for tuner#60: Thomson DDT 7611 (ATSC/NTSC) Change tuner in
card#28 (DViCO FusionHDTV3 Gold-T) from tuner=52 (Tuner Thomson DDT 7610)
to tuner=60 (Tuner Thomson DDT 7611)

Signed-off-by: Michael Krufky <mkrufky@m1k.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/video/cx88/cx88-cards.c |    2 +-
 drivers/media/video/tuner-simple.c    |    3 +++
 include/media/tuner.h                 |    2 ++
 3 files changed, 6 insertions(+), 1 deletion(-)

diff -puN drivers/media/video/cx88/cx88-cards.c~v4l-support-tuner-thomson-ddt-7611-atsc-ntsc drivers/media/video/cx88/cx88-cards.c
--- 25/drivers/media/video/cx88/cx88-cards.c~v4l-support-tuner-thomson-ddt-7611-atsc-ntsc	2005-06-07 20:45:12.000000000 -0700
+++ 25-akpm/drivers/media/video/cx88/cx88-cards.c	2005-06-07 20:45:12.000000000 -0700
@@ -431,7 +431,7 @@ struct cx88_board cx88_boards[] = {
 	},
         [CX88_BOARD_DVICO_FUSIONHDTV_3_GOLD_T] = {
                 .name           = "DViCO - FusionHDTV 3 Gold-T",
-                .tuner_type     = 52, /* Thomson DDT 7611 ATSC/NTSC */
+                .tuner_type     = 60, /* Thomson DDT 7611 ATSC/NTSC */
                /*  See DViCO FusionHDTV 3 Gold for GPIO documentation.  */
                 .input          = {{
                         .type   = CX88_VMUX_TELEVISION,
diff -puN drivers/media/video/tuner-simple.c~v4l-support-tuner-thomson-ddt-7611-atsc-ntsc drivers/media/video/tuner-simple.c
--- 25/drivers/media/video/tuner-simple.c~v4l-support-tuner-thomson-ddt-7611-atsc-ntsc	2005-06-07 20:45:12.000000000 -0700
+++ 25-akpm/drivers/media/video/tuner-simple.c	2005-06-07 20:45:12.000000000 -0700
@@ -217,6 +217,9 @@ static struct tunertype tuners[] = {
 	  16*160.00,16*454.00,0xa0,0x90,0x30,0x8e,732},
 	{ "Ymec TVision TVF-5533MF", Philips, NTSC,
 	  16*160.00,16*454.00,0x01,0x02,0x04,0x8e,732},
+
+	{ "Thomson DDT 7611 (ATSC/NTSC)", THOMSON, ATSC,
+	  16*157.25,16*454.00,0x39,0x3a,0x3c,0x8e,732},
 };
 unsigned const int tuner_count = ARRAY_SIZE(tuners);
 
diff -puN include/media/tuner.h~v4l-support-tuner-thomson-ddt-7611-atsc-ntsc include/media/tuner.h
--- 25/include/media/tuner.h~v4l-support-tuner-thomson-ddt-7611-atsc-ntsc	2005-06-07 20:45:12.000000000 -0700
+++ 25-akpm/include/media/tuner.h	2005-06-07 20:45:12.000000000 -0700
@@ -101,6 +101,8 @@
 #define TUNER_YMEC_TVF_8531MF 58
 #define TUNER_YMEC_TVF_5533MF 59	/* Pixelview Pro Ultra NTSC */
 
+#define TUNER_THOMSON_DTT7611    60
+
 #define NOTUNER 0
 #define PAL     1	/* PAL_BG */
 #define PAL_I   2
_
